QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Get provinces by country

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    countryIdstringpathYesThe country ID. Obtain this from `/parameter/v2/countries` or `/parameter/v2/searchCountries`.
    refreshstringqueryNoSend false when using server cache is fine
    Responses

    200
    Expected data returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    labelstringDisplaying text of this data
    valuestringValue of this data
    {
      "message": null,
      "content": [
        {
          "label": "Anhui",
          "value": "12578022"
        },
        {
          "label": "Beijing",
          "value": "12578011"
        }
      ]
    }

    Content-Type: application/json

    GET
    /parameter/v2/country/{countryId}/provinces
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": [ { "label": "Anhui", "value": "12578022" }, { "label": "Beijing", "value": "12578011" } ] }